Silo Found in Version: 4.8

OS: All
Subject: Silex peculiarity splitting displaying text

Description: Below is the e-mail thread describing the issue. It may not be a bug but I didn't want to loose sight of it.





I think I added logic in there at some point, Jeremy, to split for some enhancement that Jeff Keasler 

requested. I can't remember which now. I probably did it back in ClearCase days and so don't think I have 

any


(useful) logs for changes this old. At any rate, if its a problem its a Silo bug 'cause Silex is coming from Silo 

now -- even the one delivered with VisIt, I think.





Mark





On Wed, 2011-03-16 at 09:30, Meredith, Jeremy S. wrote:


> No problem!  You're right, splitting it that much does look silly.  If I find some time I'll see if it's safe to split 

less aggressively.


> 


> --


> Jeremy Meredith


> Oak Ridge National Laboratory


> 


> > -----Original Message-----


> > From: J.S. van Bethlehem [mailto:j.s.van.bethlehem@astro.rug.nl]


> > Sent: Wednesday, March 16, 2011 12:26 PM


> > To: VisIt software users community


> > Subject: Re: [visit-users] Silex peculiarity


> > 


> > Hello,


> > 


> > Thanks for the explanation. It's not giving problems: it just looks 


> > silly - and I wanted to make sure that internally the string is what 


> > I put in.


> > 


> > Greetings,


> > Jakob


> > 


> > Meredith, Jeremy S. wrote:


> > > Actually, it's not even a bug -- that's just the way Silex 


> > > displays


> > values which are text strings.  If I remember correctly, we 


> > originally tried to put a text string all on one line, but ran into 


> > a Qt bug for particularly long ones.  So we changed it to a 


> > heuristic to split the string at convenient spots for display to make sure it wasn't too wide.


> > >
> > > Admittedly, it looks like it's probably splitting a little more


> > aggressively than it needs to, and it's been a while now, so that 


> > particular Qt bug is probably fixed and we could probably allow 


> > wider strings there in general.  Is it causing problems, though?  Or 


> > did you just want to make sure it wasn't internally interpreting it 


> > to have newlines?


> > >


> > > --


> > > Jeremy Meredith


> > > Oak Ridge National Laboratory


> > >


> > >


> > >


> > >> -----Original Message-----


> > >> From: J.S. van Bethlehem [mailto:j.s.van.bethlehem@astro.rug.nl]


> > >> Sent: Wednesday, March 16, 2011 8:54 AM


> > >> To: VisIt software users community


> > >> Subject: [visit-users] Silex peculiarity


> > >>


> > >> Hello everyone,


> > >>


> > >> When exporting a Silo file using DBCreate() with a non-Null 


> > >> info-message, the passed string appears with a newline inserted 


> > >> at


> > each


> > >> space when inspected in silex.


> > >> I created the info.cc example and created a screenshot of the 


> > >> result


> > in


> > >> silex (info.png). Why is this happening? Personally I'd say this 


> > >> is


> > a


> > >> bug, but would this be a bug in silex or in the Silo-library?


> > >>


> > >> Yours sincerely,


> > >> Jakob van Bethlehem

History

05/12/2011 11:29 am - Zac Ramsey

Good luck http://www.imservicesolutions.com

09/12/2012 06:35 pm - Mark Miller

- Status changed from New to Resolved

- Assigned to set to Mark Miller

- Target version set to 4.9

I added logic to not cut DB_CHAR valued arrays short than 400 chars. The '400' comes from other logic already present to split.
